Bug 1313016 - Calc crashes when formatting cells as currency
Calc crashes when formatting cells as currency
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 12:56 EST by Jonathan Dieter
Modified: 2016-04-12 07:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 06:54:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (14.70 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-02-29 12:56 EST, Jonathan Dieter
no flags Details

  None (edit)
Description Jonathan Dieter 2016-02-29 12:56:51 EST
Created attachment 1131660 [details]
Test case

Description of problem:
One of our teachers has given our students (all running Fedora 23) a spreadsheet and asked them to format it nicely.  For a couple of students, formatting some of the cells as currency causes LibreOffice to crash.  Once it crashes, it automatically offers to recover the file.  After the file is recovered, it is guaranteed to crash once you press Ok, after going to Format, Cells and choosing currency.

Version-Release number of selected component (if applicable):
libreoffice-calc-5.0.5.2-1.fc23.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Open attached spreadsheet
2. Go to Format, Cell and choose a currency format

Actual results:
LibreOffice crashes

Expected results:
Cells are formatted as currency

Additional Info:
I still haven't figured out how to guarantee that this bug is triggered.  The attached file was causing Calc to crash earlier today, but five minutes of messing with it right now didn't achieve anything.
Comment 1 Eike Rathke 2016-04-05 06:54:12 EDT
I don't trigger any crash with this.
Comment 2 Jonathan Dieter 2016-04-12 07:42:32 EDT
We haven't seen this bug since the last set of LO updates, so I think it's been solved.  Thanks for your time.

Note You need to log in before you can comment on or make changes to this bug.